Package org.eclipse.emf.cdo.util

## Class CommitConflictException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.util.CommitException
      - - org.eclipse.emf.cdo.util.ConcurrentAccessException
        - - org.eclipse.emf.cdo.util.CommitConflictException

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `LocalCommitConflictException`

      public class CommitConflictException
      extends ConcurrentAccessException

  A `concurrent access exception` that indicates that some of the local modifications are based on old revisions because other transactions have intermittently committed their modifications.

  It's usually possible and adequate to `rollback` the transaction, replay the model modifications and commit the transaction again (optimistic strategy). Pessimistic `locks` can help to avoid the problematic situation (see also `CDOAutoLocker`).

  Instances of this class indicate commit conflicts that are detected in the repository. They can also occur if a `conflict resolver` is used locally (network race condition).

  For detection of local commit conflicts see `LocalCommitConflictException`.

  Since:
    4.2
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This interface is not intended to be extended by clients.
  No Instantiate
    This class is not intended to be instantiated by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommitConflictException​(java.lang.String message)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.emf.cdo.util.CommitException

      `isLocal, wrap`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CommitConflictException

          public CommitConflictException​(java.lang.String message)